Public Member Functions

# wxRegConfig Class Reference
[Application and System configuration]

`#include <wx/msw/regconf.h>`

Inheritance diagram for wxRegConfig:
[legend]

## Detailed Description

wxRegConfig implements the wxConfigBase interface for storing and retrieving configuration information using Windows registry.

This class is used by default for wxConfig on Windows platforms; see wxFileConfig for an alternative you may want to use (also on Windows).

##

Library: wxBase
Category: Application and System configuration

See also:
  wxConfigBase

## Public Member Functions
| wxRegConfig (const wxString &appName=wxEmptyString, const wxString &vendorName=wxEmptyString, const wxString &localFilename=wxEmptyString, const wxString &globalFilename=wxEmptyString, long style=wxCONFIG_USE_GLOBAL_FILE)
| The wxRegConfig constructor.

List of all members.

## Constructor & Destructor Documentation

wxRegConfig::wxRegConfig | ( | const wxString & | appName = `wxEmptyString`,
|  | const wxString & | vendorName = `wxEmptyString`,
|  | const wxString & | localFilename = `wxEmptyString`,
|  | const wxString & | globalFilename = `wxEmptyString`,
|  | long | style = `wxCONFIG_USE_GLOBAL_FILE` |
| ) |  |  |

The wxRegConfig constructor.

For more info see the docs for the wxConfigBase::wxConfigBase() constructor.

Note that wxRegConfig's style argument defaults to `wxCONFIG_USE_GLOBAL_FILE`, i.e. to the use of the `HKLM` key (also known as "HKEY_LOCAL_MACHINE").

|  | [ top ]